## visad.data.amanda
Class Hits

    java.lang.Object
      visad.data.amanda.EventList
          visad.data.amanda.Hits

public class Hits
extends EventList

Field Summary
`static FunctionType` `functionType`
`static RealType` `indexType`
`static FieldImpl` `missing`
`static FunctionType` `timeSequenceType`

Constructor Summary
`Hits()`

Method Summary
`void` `add(Hit hit)`
`Hit` `get(int i)`
`(package private) FlatField` `getHitsBeforeTime(float time)`
`(package private) float[]` `getTimeSteps()`
`(package private) Gridded1DSet` `getTimeStepSet(RealType setType)`
`(package private) FieldImpl` `makeTimeSequence()`

Methods inherited from class visad.data.amanda.EventList
`add, addUnique, dump, internalGet, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### functionType

    public static FunctionType functionType

### timeSequenceType

    public static FunctionType timeSequenceType

### missing

    public static FieldImpl missing

### indexType

    public static final RealType indexType

Constructor Detail

### Hits

    public Hits()

Method Detail

### add

    public final void add(Hit hit)

### get

    public final Hit get(int i)

### getHitsBeforeTime

    final FlatField getHitsBeforeTime(float time)

### getTimeStepSet

    final Gridded1DSet getTimeStepSet(RealType setType)

### getTimeSteps

    final float[] getTimeSteps()

### makeTimeSequence

    final FieldImpl makeTimeSequence()